-- TABLE DES TYPE_COMPOSANT
INSERT INTO SCOLPEDA.TYPE_COMPOSANT(ID, NOM) VALUES (1,'AP');
INSERT INTO SCOLPEDA.TYPE_COMPOSANT(ID, NOM) VALUES (2,'EC');
INSERT INTO SCOLPEDA.TYPE_COMPOSANT(ID, NOM) VALUES (3,'UE');
INSERT INTO SCOLPEDA.TYPE_COMPOSANT(ID, NOM) VALUES (4,'REGROUPEMENT');
INSERT INTO SCOLPEDA.TYPE_COMPOSANT(ID, NOM) VALUES (5,'PARCOURS');
INSERT INTO SCOLPEDA.TYPE_COMPOSANT(ID, NOM) VALUES (6,'PERIODE');
INSERT INTO SCOLPEDA.TYPE_COMPOSANT(ID, NOM) VALUES (7,'DIPLOME');

-- TABLE DES TYPE_LIEN
INSERT INTO SCOLPEDA.TYPE_LIEN(ID, NOM) VALUES (1,'composer');

-- TABLE DES REGLE_LIAISON
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (1, 2, 1, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (2, 3, 2, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (3, 3, 1, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (4, 4, 4, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (5, 4, 3, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (6, 4, 2, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (7, 5, 6, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (8, 5, 4, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (9, 5, 3, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (10, 5, 2, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (11, 6, 6, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (12, 6, 5, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (13, 6, 4, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (14, 7, 6, 1);
INSERT INTO SCOLPEDA.REGLE_LIAISON(ID, ALLOWED_PARENT_ID, ALLOWED_CHILD_ID, TYPE_LIEN_ID) VALUES (15, 7, 3, 1);

-- TABLE GRADE des diplomes
INSERT INTO SCOLPEDA.GRADE(ID, TYPE, LIBELLE, NB_UNITES_TEMPS) VALUES (1, 'DEUG', 'DEUG', 2);
INSERT INTO SCOLPEDA.GRADE(ID, TYPE, LIBELLE, NB_UNITES_TEMPS) VALUES (2, 'LICENCE', 'Licence', 3);
INSERT INTO SCOLPEDA.GRADE(ID, TYPE, LIBELLE, NB_UNITES_TEMPS) VALUES (3, 'MAITRISE', 'Maitrise', 1);
INSERT INTO SCOLPEDA.GRADE(ID, TYPE, LIBELLE, NB_UNITES_TEMPS) VALUES (4, 'MASTER', 'Master', 2);
INSERT INTO SCOLPEDA.GRADE(ID, TYPE, LIBELLE, NB_UNITES_TEMPS) VALUES (5, 'Ingénieur', 'Ingenieur', 5);

-- TABLE TYPE_PERIODE des diplomes
INSERT INTO SCOLPEDA.TYPE_PERIODE(ID, TYPE, LIBELLE, NB_PERIODES) VALUES (1, 'SEMESTRIELLE', 'Semestre', 2);
INSERT INTO SCOLPEDA.TYPE_PERIODE(ID, TYPE, LIBELLE, NB_PERIODES) VALUES (2, 'ANNUELLE', 'Annee', 1);
INSERT INTO SCOLPEDA.TYPE_PERIODE(ID, TYPE, LIBELLE, NB_PERIODES) VALUES (3, 'FORMATION', 'Formation', 1);